Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.lang
Interface JoinPoint.StaticPart

Enclosing class:
  JoinPoint

public static interface JoinPoint.StaticPart

This helper object contains only the static information about a join point. It is available from the `JoinPoint.getStaticPart()` method, and can be accessed separately within advice using the special form `thisJoinPointStaticPart`.

If you are only interested in the static information about a join point, you should access it through this type for the best performance. This is particularly useful for library methods that want to do serious manipulations of this information, i.e.

     public class LoggingUtils {
         public static void prettyPrint(JoinPoint.StaticPart jp) {
             ...
         }
     }

     aspect Logging {
         before(): ... { LoggingUtils.prettyPrint(thisJoinPointStaticPart); }
     }

See Also:
  `JoinPoint.getStaticPart()`

Method Summary
`String` | `getKind()` Returns a String representing the kind of join point.
`Signature` | `getSignature()` Returns the signature at the join point.
`SourceLocation` | `getSourceLocation()` Returns the source location corresponding to the join point.
`String` | `toLongString()` Returns an extended string representation of the join point
`String` | `toShortString()` Returns an abbreviated string representation of the join point
`String` | `toString()`

Method Detail

### getSignature

    public Signature getSignature()

  Returns the signature at the join point.

### getSourceLocation

    public SourceLocation getSourceLocation()

  Returns the source location corresponding to the join point.

  If there is no source location available, returns null.

  Returns the SourceLocation of the defining class for default constructors.

### getKind

    public String getKind()

  Returns a String representing the kind of join point. This String is guaranteed to be interned

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toShortString

    public String toShortString()

  Returns an abbreviated string representation of the join point

### toLongString

    public String toLongString()

  Returns an extended string representation of the join point

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD